[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: warning: patches have not been applied, applying them now (use --no-preparation to override)

Le Tue, Feb 01, 2011 at 12:29:22PM +0100, Mathieu Malaterre a écrit :
> ...
> dpkg-source: info: local changes stored in
> dcmtk-3.6.0/debian/patches/debian-changes-3.6.0-1, the modified files
> are:
>  dcmtk-3.6.0/config/config.guess
>  dcmtk-3.6.0/config/config.sub
> Should I be doing something else ?

Hi Mathieu,

if you do not need other features of the 3.0 format, reverting to 1.0 will be
the simplest option. Otherwise, I think that Raphaël Hertzog gave recently
elements of a solution in his blog.

With the 3.0 (quilt) format, if changes are detected, a patch is created, so
the solution is either to prevent the creation of the patch, or to remove the
cal to patch and unpatch (QUILT_STAMPFN) targets in debian/rules, since in 3.0
(quilt) packages, patches are applied by default at unpack time anyway.

Have a nice day,


Reply to: